Chinaunix首页 | 论坛 | 博客
  • 博客访问: 250829
  • 博文数量: 34
  • 博客积分: 0
  • 博客等级: 民兵
  • 技术积分: 961
  • 用 户 组: 普通用户
  • 注册时间: 2013-07-11 17:19
个人简介

没有最好的语言,只有最适合的语言。

文章分类

全部博文(34)

文章存档

2016年(2)

2013年(32)

我的朋友

分类: LINUX

2013-07-12 15:10:33

我自己电脑上装的是mysql 和 workbench 。但在装workbench的时候有各种错误,因为workbench的安装依赖了许多套件
里面经常是会缺一系列的包,有mysql-workbench-gpl等,但很多人人在安装的时候更改成了国内的源,国内的源速度虽然比较快,但是有的安装包并没有。所以执行sudo apt-get install mysql-workbench-gpl的时候提示没有该包。

此时的你可以这么操作(根据具体的网址下载安装包);
在终端上依次输入:

          wget

      wget /libmysqlclient16_5.1.58-1ubuntu5_i386.deb
后执行一下命令:
    

sudo dpkg -i libzip1_0.9.3-1_i386.deb
sudo dpkg -i libmysqlclient16_5.1.58-1ubuntu5_i386.deb  sudo apt-get -f install python-paramiko libzip2 libmysqlclient18 mysql-client mysql-common python-pysqlite2 libdbi-perl libdbd-mysql-perl libplrpc-perl libnet-daemon-perl mysql-client 



此时如果发现还有错误的话:例如: 未安装软件包 libctemplate0。

dpkg: error processing mysql-workbench-gpl (--install):
 依赖关系问题 - 仍未被配置


我的解决办法是:在网站上下载libctemplate0的deb包,安装完这个之后,继续安装workbench就好了。


阅读(2981) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~